cpw.mods.fml.relauncher

## Class FMLRelaunchLog

- java.lang.Object
- - cpw.mods.fml.relauncher.FMLRelaunchLog

-     public class FMLRelaunchLog
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FMLRelaunchLog` | `log` Our special logger for logging issues to.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `fine(java.lang.String format, java.lang.Object... data)`
    `static void` | `finer(java.lang.String format, java.lang.Object... data)`
    `org.apache.logging.log4j.Logger` | `getLogger()`
    `static void` | `info(java.lang.String format, java.lang.Object... data)`
    `static void` | `log(org.apache.logging.log4j.Level level, java.lang.String format, java.lang.Object... data)`
    `static void` | `log(org.apache.logging.log4j.Level level, java.lang.Throwable ex, java.lang.String format, java.lang.Object... data)`
    `static void` | `log(java.lang.String targetLog, org.apache.logging.log4j.Level level, java.lang.String format, java.lang.Object... data)`
    `static void` | `log(java.lang.String targetLog, org.apache.logging.log4j.Level level, java.lang.Throwable ex, java.lang.String format, java.lang.Object... data)`
    `static void` | `severe(java.lang.String format, java.lang.Object... data)`
    `static void` | `warning(java.lang.String format, java.lang.Object... data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          public static FMLRelaunchLog log

      Our special logger for logging issues to. We copy various assets from the Minecraft logger to achieve a similar appearance.

  - ### Method Detail

    - #### log

          public static void log(java.lang.String targetLog,
                 org.apache.logging.log4j.Level level,
                 java.lang.String format,
                 java.lang.Object... data)

    - #### log

          public static void log(org.apache.logging.log4j.Level level,
                 java.lang.String format,
                 java.lang.Object... data)

    - #### log

          public static void log(java.lang.String targetLog,
                 org.apache.logging.log4j.Level level,
                 java.lang.Throwable ex,
                 java.lang.String format,
                 java.lang.Object... data)

    - #### log

          public static void log(org.apache.logging.log4j.Level level,
                 java.lang.Throwable ex,
                 java.lang.String format,
                 java.lang.Object... data)

    - #### severe

          public static void severe(java.lang.String format,
                    java.lang.Object... data)

    - #### warning

          public static void warning(java.lang.String format,
                     java.lang.Object... data)

    - #### info

          public static void info(java.lang.String format,
                  java.lang.Object... data)

    - #### fine

          public static void fine(java.lang.String format,
                  java.lang.Object... data)

    - #### finer

          public static void finer(java.lang.String format,
                   java.lang.Object... data)

    - #### getLogger

          public org.apache.logging.log4j.Logger getLogger()